# Enum PayloadStatus

java.lang.Object
java.lang.Enum<PayloadStatus>
com.codename1.nearby.transport.PayloadStatus

All Implemented Interfaces:
  `Comparable<PayloadStatus>`

public enum PayloadStatus extends Enum<PayloadStatus>
Where a payload transfer got to, carried by `PayloadTransferUpdate`.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCELED`
  The transfer was cancelled by either side.
  `FAILURE`
  The transfer failed and will not resume.
  `IN_PROGRESS`
  Bytes are still moving.
  `SUCCESS`
  Every byte arrived.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PayloadStatus`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PayloadStatus[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IN_PROGRESS

    public static final PayloadStatus IN_PROGRESS
    Bytes are still moving. `PayloadTransferUpdate.getBytesTransferred()` says how many so far.

  - ### SUCCESS

    public static final PayloadStatus SUCCESS
    Every byte arrived.

  - ### FAILURE

    public static final PayloadStatus FAILURE
    The transfer failed and will not resume.

  - ### CANCELED

    public static final PayloadStatus CANCELED
    The transfer was cancelled by either side.

- ## Method Details

  - ### values

    public static PayloadStatus[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PayloadStatus valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null